Bug 171321 - New port: audio/linnya "A Linnya Audio Player"
New port: audio/linnya "A Linnya Audio Player"
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 13:30 UTC by ghw
Modified: 2012-09-17 13:40 UTC (History)
0 users

See Also:


Attachments
file.shar (6.69 KB, text/plain)
2012-09-04 13:30 UTC, ghw
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ghw 2012-09-04 13:30:08 UTC
Linnya is an excellent multimedia application for Unix-like OS users, which supports music library, playlist, lyrics, and more.

Home page: http://linnya.org/

Thanks. :-)

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	linnya
#	linnya/pkg-plist
#	linnya/distinfo
#	linnya/Makefile
#	linnya/pkg-descr
#
echo c - linnya
mkdir -p linnya > /dev/null 2>&1
echo x - linnya/pkg-plist
sed 's/^X//' >linnya/pkg-plist << 'b3335ac86420947f1bc5acb39c2ba1b0'
Xbin/linnya
Xinclude/linnya/cox/aud.h
Xinclude/linnya/cox/cox.h
Xinclude/linnya/cox/dbm.h
Xinclude/linnya/cox/eql.h
Xinclude/linnya/cox/gla.h
Xinclude/linnya/cox/lib.h
Xinclude/linnya/cox/log.h
Xinclude/linnya/cox/log.obj.h
Xinclude/linnya/cox/lrc.h
Xinclude/linnya/cox/mbs.h
Xinclude/linnya/cox/mbs.obj.h
Xinclude/linnya/cox/mdh.h
Xinclude/linnya/cox/plm.h
Xinclude/linnya/cox/ppl.h
Xinclude/linnya/cox/pqm.h
Xinclude/linnya/cox/reg.h
Xinclude/linnya/cox/reg.obj.h
Xinclude/linnya/linnya.h
Xinclude/linnya/uix/cfg.h
Xinclude/linnya/uix/dbg.h
Xinclude/linnya/uix/glb.h
Xinclude/linnya/uix/key.h
Xinclude/linnya/uix/pli.h
Xinclude/linnya/uix/sss.h
Xinclude/linnya/uix/thm.h
Xinclude/linnya/uix/uix.h
Xinclude/linnya/uix/win.h
Xlib/liblinnyacox.a
Xlib/liblinnyacox.la
Xlib/liblinnyacox.so
Xlib/liblinnyacox.so.0
Xlib/liblinnyauix.a
Xlib/liblinnyauix.la
Xlib/liblinnyauix.so
Xlib/liblinnyauix.so.0
Xshare/applications/linnya.desktop
Xshare/icons/hicolor/256x256/apps/linnya.png
Xshare/icons/hicolor/scalable/apps/linnya.svg
Xshare/linnya/linnya-uninstall
Xshare/linnya/pix/dnc/libdnc.a
Xshare/linnya/pix/dnc/libdnc.la
Xshare/linnya/pix/dnc/libdnc.so
Xshare/linnya/pix/dnc/libdnc.so.0
Xshare/linnya/pix/dnc/logo.png
Xshare/linnya/pix/dnc/plugin.xml
Xshare/linnya/pix/inf/libinf.a
Xshare/linnya/pix/inf/libinf.la
Xshare/linnya/pix/inf/libinf.so
Xshare/linnya/pix/inf/libinf.so.0
Xshare/linnya/pix/inf/logo.png
Xshare/linnya/pix/inf/plugin.xml
Xshare/linnya/pix/lrc/liblrc.a
Xshare/linnya/pix/lrc/liblrc.la
Xshare/linnya/pix/lrc/liblrc.so
Xshare/linnya/pix/lrc/liblrc.so.0
Xshare/linnya/pix/lrc/logo.png
Xshare/linnya/pix/lrc/plugin.xml
Xshare/linnya/pix/opc/libopc.a
Xshare/linnya/pix/opc/libopc.la
Xshare/linnya/pix/opc/libopc.so
Xshare/linnya/pix/opc/libopc.so.0
Xshare/linnya/pix/opc/logo.png
Xshare/linnya/pix/opc/playing.svg
Xshare/linnya/pix/opc/plugin.xml
Xshare/linnya/pix/vdo/libvdo.a
Xshare/linnya/pix/vdo/libvdo.la
Xshare/linnya/pix/vdo/libvdo.so
Xshare/linnya/pix/vdo/libvdo.so.0
Xshare/linnya/pix/vdo/logo.png
Xshare/linnya/pix/vdo/plugin.xml
Xshare/linnya/uix/icon/audio.png
Xshare/linnya/uix/icon/cd.png
Xshare/linnya/uix/icon/default_album.png
Xshare/linnya/uix/icon/equalizer.png
Xshare/linnya/uix/icon/icon.png
Xshare/linnya/uix/icon/key.png
Xshare/linnya/uix/icon/lib.png
Xshare/linnya/uix/icon/linnya.png
Xshare/linnya/uix/icon/null.png
Xshare/linnya/uix/icon/plugin.png
Xshare/linnya/uix/icon/theme.png
Xshare/linnya/uix/theme/default/announcement
Xshare/linnya/uix/theme/default/image/bar_seek_background.png
Xshare/linnya/uix/theme/default/image/bar_seek_button_hover.png
Xshare/linnya/uix/theme/default/image/bar_seek_fill.png
Xshare/linnya/uix/theme/default/image/btn_adds_active.png
Xshare/linnya/uix/theme/default/image/btn_adds_hover.png
Xshare/linnya/uix/theme/default/image/btn_adds_normal.png
Xshare/linnya/uix/theme/default/image/btn_conf_active.png
Xshare/linnya/uix/theme/default/image/btn_conf_hover.png
Xshare/linnya/uix/theme/default/image/btn_conf_normal.png
Xshare/linnya/uix/theme/default/image/btn_menu_active.png
Xshare/linnya/uix/theme/default/image/btn_menu_hover.png
Xshare/linnya/uix/theme/default/image/btn_menu_normal.png
Xshare/linnya/uix/theme/default/image/btn_next_active.png
Xshare/linnya/uix/theme/default/image/btn_next_hover.png
Xshare/linnya/uix/theme/default/image/btn_next_normal.png
Xshare/linnya/uix/theme/default/image/btn_play_active.png
Xshare/linnya/uix/theme/default/image/btn_play_hover.png
Xshare/linnya/uix/theme/default/image/btn_play_normal.png
Xshare/linnya/uix/theme/default/image/btn_prev_active.png
Xshare/linnya/uix/theme/default/image/btn_prev_hover.png
Xshare/linnya/uix/theme/default/image/btn_prev_normal.png
Xshare/linnya/uix/theme/default/image/btn_volm_active.png
Xshare/linnya/uix/theme/default/image/btn_volm_hover.png
Xshare/linnya/uix/theme/default/image/btn_volm_normal.png
Xshare/linnya/uix/theme/default/image/null.png
Xshare/linnya/uix/theme/default/image/sss_adds_bg.png
Xshare/linnya/uix/theme/default/linnya.css
Xshare/linnya/uix/theme/default/sssbg/sssbg_1.jpg
Xshare/linnya/uix/theme/default/sssbg/sssbg_2.jpg
Xshare/locale/zh_CN/LC_MESSAGES/linnya.mo
Xshare/locale/zh_HK/LC_MESSAGES/linnya.mo
Xshare/locale/zh_TW/LC_MESSAGES/linnya.mo
X@dirrm share/linnya/uix/theme/default/sssbg
X@dirrm share/linnya/uix/theme/default/image
X@dirrm share/linnya/uix/theme/default
X@dirrm share/linnya/uix/theme
X@dirrm share/linnya/uix/icon
X@dirrm share/linnya/uix
X@dirrm share/linnya/pix/vdo
X@dirrm share/linnya/pix/opc
X@dirrm share/linnya/pix/lrc
X@dirrm share/linnya/pix/inf
X@dirrm share/linnya/pix/dnc
X@dirrm share/linnya/pix
X@dirrm share/linnya
X@dirrmtry share/icons/hicolor/scalable/apps
X@dirrmtry share/icons/hicolor/scalable
X@dirrmtry share/icons/hicolor/256x256/apps
X@dirrmtry share/icons/hicolor/256x256
X@dirrmtry share/icons/hicolor
X@dirrmtry share/icons
X@dirrmtry share/applications
X@dirrm include/linnya/uix
X@dirrm include/linnya/cox
X@dirrm include/linnya
b3335ac86420947f1bc5acb39c2ba1b0
echo x - linnya/distinfo
sed 's/^X//' >linnya/distinfo << '9cdbdf8904eeda72abab7f2e44019bdb'
XSHA256 (linnya-2.2.0.tar.gz) = c8add0b693cb882f45522231e585c3edb8adf1a33d59a0f1070fe84a8a64df6e
XSIZE (linnya-2.2.0.tar.gz) = 841288
9cdbdf8904eeda72abab7f2e44019bdb
echo x - linnya/Makefile
sed 's/^X//' >linnya/Makefile << '6ee0bf5f0c99863a6aaba81ef5edfa3a'
X# New ports collection makefile for:	linnya
X# Date created:							1 Sep 2012
X# Whom:									XiaoQI Ge <ghw@7axu.com>
X
XPORTNAME=	linnya
XPORTVERSION=	2.2.0
XCATEGORIES=	audio
X
XMAINTAINER=	ghw@7axu.com
XCOMMENT=	A Linnya Audio Player
X
XLICENSE=	GPLv3
X
XUSE_GITHUB=	yes
XGH_ACCOUNT=	herenvarno
XGH_COMMIT=	6724a9b
XUSE_AUTOTOOLS=	aclocal automake
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XUSE_GNOME=	gtk30
XUSE_SQLITE=	3
XUSE_GETTEXT=	yes
XUSE_GSTREAMER=	good mp3 ogg
XMAKE_JOBS_SAFE=	yes
XUSE_AUTOTOOLS=	libtool
XUSE_LDCONFIG=	yes
XINSTALLS_ICONS=	yes
XWANT_GNOME=	yes
X
XBUILD_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
XRUN_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
X
X.include <bsd.port.mk>
6ee0bf5f0c99863a6aaba81ef5edfa3a
echo x - linnya/pkg-descr
sed 's/^X//' >linnya/pkg-descr << '03d631af149ac352830d3b687f242cc8'
XLinnya is an excellent multimedia application for Unix-like OS users,
Xwhich supports music library, playlist, lyrics, and more.
X
XWWW: http://www.linnya.org
03d631af149ac352830d3b687f242cc8
exit


Patch attached with submission follows:
Comment 1 dfilter freebsd_committer 2012-09-17 13:37:52 UTC
Author: wen
Date: Mon Sep 17 12:37:40 2012
New Revision: 304396
URL: http://svn.freebsd.org/changeset/ports/304396

Log:
  Linnya is an excellent multimedia application for Unix-like OS users,
  which supports music library, playlist, lyrics, and more.
  
  WWW: http://www.linnya.org
  
  PR:		171321
  Submitted by:	XiaoQI Ge <ghw@7axu.com>

Added:
  head/audio/linnya/
  head/audio/linnya/Makefile   (contents, props changed)
  head/audio/linnya/distinfo   (contents, props changed)
  head/audio/linnya/pkg-descr   (contents, props changed)
  head/audio/linnya/pkg-plist   (contents, props changed)

Added: head/audio/linnya/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/linnya/Makefile	Mon Sep 17 12:37:40 2012	(r304396)
@@ -0,0 +1,35 @@
+# New ports collection makefile for:	linnya
+# Date created:				1 Sep 2012
+# Whom:					XiaoQI Ge <ghw@7axu.com>
+# $FreeBSD$
+
+PORTNAME=	linnya
+PORTVERSION=	2.2.0
+CATEGORIES=	audio
+
+MAINTAINER=	ghw@7axu.com
+COMMENT=	A Linnya Audio Player
+
+LICENSE=	GPLv3
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	herenvarno
+GH_COMMIT=	6724a9b
+
+USE_AUTOTOOLS=	aclocal automake
+GNU_CONFIGURE=	yes
+USE_GMAKE=	yes
+USE_GNOME=	gtk30
+USE_SQLITE=	3
+USE_GETTEXT=	yes
+USE_GSTREAMER=	good mp3 ogg
+MAKE_JOBS_SAFE=	yes
+USE_AUTOTOOLS=	libtool
+USE_LDCONFIG=	yes
+INSTALLS_ICONS=	yes
+WANT_GNOME=	yes
+
+BUILD_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+RUN_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+
+.include <bsd.port.mk>

Added: head/audio/linnya/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/linnya/distinfo	Mon Sep 17 12:37:40 2012	(r304396)
@@ -0,0 +1,2 @@
+SHA256 (linnya-2.2.0.tar.gz) = c8add0b693cb882f45522231e585c3edb8adf1a33d59a0f1070fe84a8a64df6e
+SIZE (linnya-2.2.0.tar.gz) = 841288

Added: head/audio/linnya/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/linnya/pkg-descr	Mon Sep 17 12:37:40 2012	(r304396)
@@ -0,0 +1,4 @@
+Linnya is an excellent multimedia application for Unix-like OS users,
+which supports music library, playlist, lyrics, and more.
+
+WWW: http://www.linnya.org

Added: head/audio/linnya/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/linnya/pkg-plist	Mon Sep 17 12:37:40 2012	(r304396)
@@ -0,0 +1,138 @@
+bin/linnya
+include/linnya/cox/aud.h
+include/linnya/cox/cox.h
+include/linnya/cox/dbm.h
+include/linnya/cox/eql.h
+include/linnya/cox/gla.h
+include/linnya/cox/lib.h
+include/linnya/cox/log.h
+include/linnya/cox/log.obj.h
+include/linnya/cox/lrc.h
+include/linnya/cox/mbs.h
+include/linnya/cox/mbs.obj.h
+include/linnya/cox/mdh.h
+include/linnya/cox/plm.h
+include/linnya/cox/ppl.h
+include/linnya/cox/pqm.h
+include/linnya/cox/reg.h
+include/linnya/cox/reg.obj.h
+include/linnya/linnya.h
+include/linnya/uix/cfg.h
+include/linnya/uix/dbg.h
+include/linnya/uix/glb.h
+include/linnya/uix/key.h
+include/linnya/uix/pli.h
+include/linnya/uix/sss.h
+include/linnya/uix/thm.h
+include/linnya/uix/uix.h
+include/linnya/uix/win.h
+lib/liblinnyacox.a
+lib/liblinnyacox.la
+lib/liblinnyacox.so
+lib/liblinnyacox.so.0
+lib/liblinnyauix.a
+lib/liblinnyauix.la
+lib/liblinnyauix.so
+lib/liblinnyauix.so.0
+share/applications/linnya.desktop
+share/icons/hicolor/256x256/apps/linnya.png
+share/icons/hicolor/scalable/apps/linnya.svg
+%%DATADIR%%/linnya-uninstall
+%%DATADIR%%/pix/dnc/libdnc.a
+%%DATADIR%%/pix/dnc/libdnc.la
+%%DATADIR%%/pix/dnc/libdnc.so
+%%DATADIR%%/pix/dnc/libdnc.so.0
+%%DATADIR%%/pix/dnc/logo.png
+%%DATADIR%%/pix/dnc/plugin.xml
+%%DATADIR%%/pix/inf/libinf.a
+%%DATADIR%%/pix/inf/libinf.la
+%%DATADIR%%/pix/inf/libinf.so
+%%DATADIR%%/pix/inf/libinf.so.0
+%%DATADIR%%/pix/inf/logo.png
+%%DATADIR%%/pix/inf/plugin.xml
+%%DATADIR%%/pix/lrc/liblrc.a
+%%DATADIR%%/pix/lrc/liblrc.la
+%%DATADIR%%/pix/lrc/liblrc.so
+%%DATADIR%%/pix/lrc/liblrc.so.0
+%%DATADIR%%/pix/lrc/logo.png
+%%DATADIR%%/pix/lrc/plugin.xml
+%%DATADIR%%/pix/opc/libopc.a
+%%DATADIR%%/pix/opc/libopc.la
+%%DATADIR%%/pix/opc/libopc.so
+%%DATADIR%%/pix/opc/libopc.so.0
+%%DATADIR%%/pix/opc/logo.png
+%%DATADIR%%/pix/opc/playing.svg
+%%DATADIR%%/pix/opc/plugin.xml
+%%DATADIR%%/pix/vdo/libvdo.a
+%%DATADIR%%/pix/vdo/libvdo.la
+%%DATADIR%%/pix/vdo/libvdo.so
+%%DATADIR%%/pix/vdo/libvdo.so.0
+%%DATADIR%%/pix/vdo/logo.png
+%%DATADIR%%/pix/vdo/plugin.xml
+%%DATADIR%%/uix/icon/audio.png
+%%DATADIR%%/uix/icon/cd.png
+%%DATADIR%%/uix/icon/default_album.png
+%%DATADIR%%/uix/icon/equalizer.png
+%%DATADIR%%/uix/icon/icon.png
+%%DATADIR%%/uix/icon/key.png
+%%DATADIR%%/uix/icon/lib.png
+%%DATADIR%%/uix/icon/linnya.png
+%%DATADIR%%/uix/icon/null.png
+%%DATADIR%%/uix/icon/plugin.png
+%%DATADIR%%/uix/icon/theme.png
+%%DATADIR%%/uix/theme/default/announcement
+%%DATADIR%%/uix/theme/default/image/bar_seek_background.png
+%%DATADIR%%/uix/theme/default/image/bar_seek_button_hover.png
+%%DATADIR%%/uix/theme/default/image/bar_seek_fill.png
+%%DATADIR%%/uix/theme/default/image/btn_adds_active.png
+%%DATADIR%%/uix/theme/default/image/btn_adds_hover.png
+%%DATADIR%%/uix/theme/default/image/btn_adds_normal.png
+%%DATADIR%%/uix/theme/default/image/btn_conf_active.png
+%%DATADIR%%/uix/theme/default/image/btn_conf_hover.png
+%%DATADIR%%/uix/theme/default/image/btn_conf_normal.png
+%%DATADIR%%/uix/theme/default/image/btn_menu_active.png
+%%DATADIR%%/uix/theme/default/image/btn_menu_hover.png
+%%DATADIR%%/uix/theme/default/image/btn_menu_normal.png
+%%DATADIR%%/uix/theme/default/image/btn_next_active.png
+%%DATADIR%%/uix/theme/default/image/btn_next_hover.png
+%%DATADIR%%/uix/theme/default/image/btn_next_normal.png
+%%DATADIR%%/uix/theme/default/image/btn_play_active.png
+%%DATADIR%%/uix/theme/default/image/btn_play_hover.png
+%%DATADIR%%/uix/theme/default/image/btn_play_normal.png
+%%DATADIR%%/uix/theme/default/image/btn_prev_active.png
+%%DATADIR%%/uix/theme/default/image/btn_prev_hover.png
+%%DATADIR%%/uix/theme/default/image/btn_prev_normal.png
+%%DATADIR%%/uix/theme/default/image/btn_volm_active.png
+%%DATADIR%%/uix/theme/default/image/btn_volm_hover.png
+%%DATADIR%%/uix/theme/default/image/btn_volm_normal.png
+%%DATADIR%%/uix/theme/default/image/null.png
+%%DATADIR%%/uix/theme/default/image/sss_adds_bg.png
+%%DATADIR%%/uix/theme/default/linnya.css
+%%DATADIR%%/uix/theme/default/sssbg/sssbg_1.jpg
+%%DATADIR%%/uix/theme/default/sssbg/sssbg_2.jpg
+share/locale/zh_CN/LC_MESSAGES/linnya.mo
+share/locale/zh_HK/LC_MESSAGES/linnya.mo
+share/locale/zh_TW/LC_MESSAGES/linnya.mo
+@dirrm %%DATADIR%%/uix/theme/default/sssbg
+@dirrm %%DATADIR%%/uix/theme/default/image
+@dirrm %%DATADIR%%/uix/theme/default
+@dirrm %%DATADIR%%/uix/theme
+@dirrm %%DATADIR%%/uix/icon
+@dirrm %%DATADIR%%/uix
+@dirrm %%DATADIR%%/pix/vdo
+@dirrm %%DATADIR%%/pix/opc
+@dirrm %%DATADIR%%/pix/lrc
+@dirrm %%DATADIR%%/pix/inf
+@dirrm %%DATADIR%%/pix/dnc
+@dirrm %%DATADIR%%/pix
+@dirrm %%DATADIR%%
+@dirrmtry share/icons/hicolor/scalable/apps
+@dirrmtry share/icons/hicolor/scalable
+@dirrmtry share/icons/hicolor/256x256/apps
+@dirrmtry share/icons/hicolor/256x256
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrmtry share/applications
+@dirrm include/linnya/uix
+@dirrm include/linnya/cox
+@dirrm include/linnya
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Wen Heping freebsd_committer 2012-09-17 13:38:55 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!